=== debian/changelog ===
irgsh (0.0.28-1) unstable; urgency=medium

  * Initial Debian package release
  * Package all IRGSH components (chief, builder, repo, iso, cli)
  * Include systemd service files for server components
  * Add configuration files and templates

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Wed, 07 Jan 2026 21:00:00 +0700
