=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/irgsh-go-$1\.tar\.gz/ \
  https://github.com/BlankOn/irgsh-go/tags .*/v?(\d\S+)\.tar\.gz
