## irgsh 1.2.4-1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,20 @@
 LDFLAGS := "-X main.version=$$(cat ./VERSION)"
+
+# Load GPG_KEY from .env and update config.yaml
+load-gpg:
+	@if [ -f .env ]; then \
+		GPG_KEY=$$(grep '^GPG_KEY=' .env | cut -d'=' -f2); \
+		if [ -n "$$GPG_KEY" ]; then \
+			sed -i "s/dist_signing_key: '.*'/dist_signing_key: '$$GPG_KEY'/" utils/config.yaml; \
+			echo "Loaded GPG_KEY: $$GPG_KEY"; \
+		else \
+			echo "GPG_KEY not found in .env"; \
+			exit 1; \
+		fi \
+	else \
+		echo ".env file not found"; \
+		exit 1; \
+	fi
 
 release:
 	# Build
@@ -68,14 +84,18 @@
 coverage:test
 	go tool cover -html=coverage.txt
 
-client:
-	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-cli ./cmd/cli
+client: load-gpg
+	@GPG_KEY=$$(grep '^GPG_KEY=' .env | cut -d'=' -f2); \
+	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-cli ./cmd/cli && DEV=1 ./bin/irgsh-cli config --chief http://localhost:8080 --key $$GPG_KEY
 
-chief:
+chief: load-gpg
 	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-chief ./cmd/chief && DEV=1 ./bin/irgsh-chief
 
 builder-init:
 	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-builder ./cmd/builder && sudo DEV=1 ./bin/irgsh-builder init-base
+	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-builder ./cmd/builder && DEV=1 ./bin/irgsh-builder init-builder
+
+builder-init-builder:
 	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-builder ./cmd/builder && DEV=1 ./bin/irgsh-builder init-builder
 
 builder:
@@ -85,10 +105,10 @@
 	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-iso ./cmd/iso && DEV=1 ./bin/irgsh-iso
 
 repo-init:
-	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-repo ./cmd/repo && DEV=1 ./bin/irgsh-repo init
+	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-repo ./cmd/repo && DEV=1 ./bin/irgsh-repo --config ./utils/config.yaml init
 
-repo:
-	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-repo ./cmd/repo && DEV=1 ./bin/irgsh-repo
+repo: load-gpg
+	go build -ldflags $(LDFLAGS) -o ./bin/irgsh-repo ./cmd/repo && DEV=1 ./bin/irgsh-repo --config ./utils/config.yaml
 
 redis:
 	docker run -d --network host redis
@@ -97,5 +117,6 @@
 	curl --header "Content-Type: application/json" --request POST --data '{"sourceUrl":"https://github.com/BlankOn/bromo-theme.git","packageUrl":"https://github.com/BlankOn-packages/bromo-theme.git"}' http://localhost:8080/api/v1/submit
 
 deb:
+	sudo rm -rf obj-x86_64-linux-gnu
 	debuild -us -uc -b
