=== debian/changelog ===
irgsh (1.2.4-1) unstable; urgency=medium

  * Show 50 jobs on front page instead of 10
  * Display timestamps in Asia/Jakarta timezone with relative time
  * Add STALLED status for jobs pending more than 24 hours
  * Simplify notification message format
  * Fix OOM issue when uploading large tarballs by streaming to disk

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Sat, 11 Jan 2026 19:00:00 +0700

irgsh (1.2.3-1) unstable; urgency=medium

  * Fix retry permission issue by using sudo for copy operations
  * Restore ownership to irgsh user after copying submission files

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Sat, 11 Jan 2026 18:00:00 +0700

irgsh (1.2.2-1) unstable; urgency=medium

  * Retry creates new pipeline with new job ID and timestamp
  * Add emoji indicators to job notifications (success/failed)

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Sat, 11 Jan 2026 17:00:00 +0700

irgsh (1.2.1-1) unstable; urgency=medium

  * Add notification webhook support for build and repo job completion
  * Require explicit config path for irgsh-repo via -c/--config flag
  * Add LoadConfigFromPath function for explicit config loading

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Fri, 10 Jan 2026 19:00:00 +0700

irgsh (1.1.5-1) unstable; urgency=medium

  * Allow --ignore-checks without --experimental flag

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Fri, 10 Jan 2026 11:00:00 +0700

irgsh (1.1.4-1) unstable; urgency=medium

  * Update --ignore-checks help text

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Fri, 10 Jan 2026 10:00:00 +0700

irgsh (1.1.3-1) unstable; urgency=medium

  * Release 1.1.3

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Thu, 09 Jan 2026 18:00:00 +0700

irgsh (1.1.2-1) unstable; urgency=medium

  * Use machinery backend for job status queries
  * Remove STALLED status from frontend
  * Rename Recent Jobs to Recent Packaging Jobs
  * Remove Instance column from Workers table

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Thu, 09 Jan 2026 16:00:00 +0700

irgsh (1.1.1-1) unstable; urgency=medium

  * Fix retry endpoint error handling in CLI
  * Fix HTTP router prioritization in chief
  * Fix pipeline status to show DONE when repo job completes

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Thu, 09 Jan 2026 14:00:00 +0700

irgsh (1.1.0-1) unstable; urgency=medium

  * Add STALLED status for jobs pending > 5 minutes while workers are online

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Thu, 09 Jan 2026 12:00:00 +0700
