## irgsh 1.2.5-1

=== debian/changelog ===
irgsh (1.2.5-1) unstable; urgency=medium

  * Fix OOM issue in artifact upload by streaming to disk

 -- BlankOn Developers <blankon-dev@googlegroups.com>  Sun, 12 Jan 2026 04:00:00 +0700
